logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



PHP 5.2.1 x64 Released
Goto page Previous  1, 2, 3  Next
 
Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads



View previous topic :: View next topic  
Author Message
PaRK_7677



Joined: 01 Jun 2006
Posts: 65
Location: Missouri

PostPosted: Wed 14 Mar '07 3:43    Post subject: Reply with quote

Thanks for the posts guys.

It's hard to release an entire PECL package. A lot of the extensions require a 3rd party library or DLL. Those are not readily available in 64-bit so I have to compile them myself or not include that extension. Even if I try I can not always produce the needed DLL.

Here is the PDF extension: http://parksdev.sytes.net/php-5.2.1-x64_php_pdf.zip

A lot of people seem to have problems with MySQL. Not sure why. The libmysql.dll file is a 64-bit version so make sure that other versions do not exist on the system already. That's what the problem is most of the time. I suggest placing libmysql.dll in \Windows\System32 and rename any other instances on the system to something like libmysql.dll.disabled.

Mcrypt is one of the extensions that I can not build. It relies on libmcrypt.dll and the matching library in 64-bit. I can only build in 32-bit. The good thing is that it's not required for PhpMyAdmin to work.
Back to top
Jorge



Joined: 12 Mar 2006
Posts: 376
Location: Belgium

PostPosted: Wed 14 Mar '07 12:30    Post subject: Reply with quote

Any idea where i can get the source for libmcrypt? I'll give it a whack.
Back to top
PaRK_7677



Joined: 01 Jun 2006
Posts: 65
Location: Missouri

PostPosted: Thu 15 Mar '07 5:26    Post subject: Reply with quote

http://sourceforge.net/projects/mcrypt

I can only compile using Cygwin which does not support compiling 64-bit binaries. Good luck Jorge Wink
Back to top
Radek Hulán



Joined: 17 Mar 2007
Posts: 10
Location: Prague / CZ

PostPosted: Sat 17 Mar '07 23:19    Post subject: Reply with quote

Apache 2.2.4 x64, PHP 5.2.1 x64 and MySQL 5.0.37 x64 seem to be working perfectly on Vista Ultimate x64. I had problems with php_mysql not loading, but copying every dll to c:\windows, instead of setting PATH, solved the problem.

I have noticed you are providing php_bcompiler.dll, which is great, but a very old version 0.7, while we have now 0.14.

Could you please consider updating it? Thank you.
Back to top
Jorge



Joined: 12 Mar 2006
Posts: 376
Location: Belgium

PostPosted: Sun 18 Mar '07 12:15    Post subject: Reply with quote

PaRK_7677 wrote:
http://sourceforge.net/projects/mcrypt

I can only compile using Cygwin which does not support compiling 64-bit binaries. Good luck Jorge Wink


No project files... Porbebly a no go but I'll search around if I can find some later.
Back to top
ashokmca



Joined: 28 Mar 2007
Posts: 1
Location: chennai

PostPosted: Wed 28 Mar '07 20:17    Post subject: Sample Fatal Error problem Reply with quote

hi guys
i got the same fatal error : call to undefined function mysql_pconnect() problem

Please assists me to solve this problem
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 6255
Location: Germany, Next to Hamburg

PostPosted: Thu 29 Mar '07 12:24    Post subject: Re: Sample Fatal Error problem Reply with quote

ashokmca wrote:
fatal error : call to undefined function mysql_pconnect()


That means you don't have loaded mysql in php.ini

Make sure that you have set the ini path for php.ini in httpd.conf and you enabled the extension in your php.ini
Back to top
nicklowe



Joined: 15 Apr 2007
Posts: 8

PostPosted: Sun 15 Apr '07 3:22    Post subject: LDAP Module Reply with quote

Hi,

We use the LDAP extensikon in PHP to integrate authentication with our Windows domain.

Would there be any chance of including this in the next release?

Cheers.

Nick
Back to top
PaRK_7677



Joined: 01 Jun 2006
Posts: 65
Location: Missouri

PostPosted: Sun 15 Apr '07 18:51    Post subject: Re: LDAP Module Reply with quote

nicklowe wrote:
Hi,

We use the LDAP extensikon in PHP to integrate authentication with our Windows domain.

Would there be any chance of including this in the next release?

Cheers.

Nick


Hi Nick,

I had someone ask for some extensions the other day and LDAP was one of them. I will try to build it hopefully today depending on other things that need to get done. I'll let you know here how it turns out.

-Ross
Back to top
PaRK_7677



Joined: 01 Jun 2006
Posts: 65
Location: Missouri

PostPosted: Mon 16 Apr '07 1:49    Post subject: Reply with quote

Download: http://www.fusionxlan.com/PHPx64/php-5.2.1-x64-2007-04-15.zip

Added:
  • php_ssh2.dll
  • php_zlib_filter.dll
  • php_ming.dll
  • php_ldap.dll
  • php_imap.dll
  • php_bz2_filter.dll
Back to top
Sonic



Joined: 16 Apr 2007
Posts: 6

PostPosted: Mon 16 Apr '07 7:39    Post subject: MySQLND Reply with quote

Hey, guys. Thanks for you project. Whether you plan to enter support MySQLND? (http://dev.mysql.com/downloads/connector/php-mysqlnd/). I'm try compile PHP with MySQLND, but have very much unresolved externals. Compile log - http://www.bioware.ru/compile.log . Compile options:
cscript /nologo configure.js "--with-mysqli" "--enable-mysqlnd" "--without-libxml" "--without-iconv" "--without-gd"

PS: Sorry for bad english Smile
Back to top
shoebappa



Joined: 16 Apr 2007
Posts: 2

PostPosted: Mon 16 Apr '07 18:25    Post subject: Curl with SSL Reply with quote

Anyway we can get Curl with SSL enabled?

I get this error message: "libcurl was built with SSL disabled, https: not supported!"

Tried enabling the openssl extension as well. LibCurl seems to say there's a way of compiling it with it enabled.

Thanks!
Back to top
shoebappa



Joined: 16 Apr 2007
Posts: 2

PostPosted: Mon 16 Apr '07 18:49    Post subject: Reply with quote

If anyone else needs a work around for this, I got stunnel working on Vista x64 out of the box.

Have to run it in client mode, modify stunnel.conf:

; Use it for client mode
client = yes

...

[psuedo-https]
accept = 8181
connect = www.externalhost.com:443
TIMEOUTclose = 0

Then when you run Stunnel it listens on 8181 and passes all requests in ssl to the connect site. So in my curl I connect to localhost:8181 and it connects to my remote host...

http://www.stunnel.org/
Back to top
PaRK_7677



Joined: 01 Jun 2006
Posts: 65
Location: Missouri

PostPosted: Mon 16 Apr '07 23:55    Post subject: Reply with quote

Sonic wrote:
Hey, guys. Thanks for you project. Whether you plan to enter support MySQLND? (http://dev.mysql.com/downloads/connector/php-mysqlnd/). I'm try compile PHP with MySQLND, but have very much unresolved externals. Compile log - http://www.bioware.ru/compile.log . Compile options:
cscript /nologo configure.js "--with-mysqli" "--enable-mysqlnd" "--without-libxml" "--without-iconv" "--without-gd"

PS: Sorry for bad english Smile


I added MySQLi ND support in php_mysql-nd.dll. The PHP core (php5ts.dll) now has ND support (so make sure you update it). Remember that libmysql.dll is still required.

shoebappa wrote:
Anyway we can get Curl with SSL enabled?

I get this error message: "libcurl was built with SSL disabled, https: not supported!"

Tried enabling the openssl extension as well. LibCurl seems to say there's a way of compiling it with it enabled.

Thanks!

Sorry about that. I didn't realize that libcurl did not come with SSL enabled by default. Rebuilt libcurl and the PHP curl extension for SSL support.

* Notice: Anyone wanting to use LDAP please download this version. The pervious ZIP did not include a required DLL (libsasl.dll)

Download: Visit to download PHP-5.2.1-x64 -2007-04-16.zip
Back to top
Radek Hulán



Joined: 17 Mar 2007
Posts: 10
Location: Prague / CZ

PostPosted: Tue 17 Apr '07 0:02    Post subject: Reply with quote

@PaRK_7677 - would it be also possible to update php_bcompiler.dll to the latest release? Current one is obsolete.. Thank you.

http://pecl.php.net/package/bcompiler
Back to top
Sonic



Joined: 16 Apr 2007
Posts: 6

PostPosted: Tue 17 Apr '07 0:30    Post subject: Reply with quote

Quote:
Remember that libmysql.dll is still required.


Hm, why? php_mysqli.dll from mysql.com (http://dev.mysql.com/get/Downloads/Connector-PHP-mysqlnd/php_5.2.1-mysqlnd-5.0.1-beta.zip/from/pick) doesn't require libmysql.dll.

I'm download php-5.2.1-x64-2007-04-16.zip, update my files and rename php_mysqli-nd.dll to php_mysqli.dll. And has received a mistake at attempt of connection to a database - mysqli::mysqli() [function.mysqli-mysqli]: (HY000/10060). With old php_mysqli.dll (without ND) all work.
Back to top
PaRK_7677



Joined: 01 Jun 2006
Posts: 65
Location: Missouri

PostPosted: Tue 17 Apr '07 3:45    Post subject: Reply with quote

Sonic wrote:
Quote:
Remember that libmysql.dll is still required.


Hm, why? php_mysqli.dll from mysql.com (http://dev.mysql.com/get/Downloads/Connector-PHP-mysqlnd/php_5.2.1-mysqlnd-5.0.1-beta.zip/from/pick) doesn't require libmysql.dll.

I'm download php-5.2.1-x64-2007-04-16.zip, update my files and rename php_mysqli-nd.dll to php_mysqli.dll. And has received a mistake at attempt of connection to a database - mysqli::mysqli() [function.mysqli-mysqli]: (HY000/10060). With old php_mysqli.dll (without ND) all work.


The PHP MySQLi ND source in the link does not "allow" for support on Windows but I hacked it in there so I assume that could be why it still depends on libmysql.dll. What I mean by "not allowed" is that if you visit http://dev.mysql.com/downloads/connector/php-mysqlnd/ and see STEP 4 ("Run configure --with-mysqli --enable-mysqlnd in the PHP source directory") in the Windows configure tool the option "--enable-mysqlnd" is not recognized. I added it to be recognized but that's not to say that it fully works on Windows in that version of the source.

The DLL you liked to is larger in size than what I produced so maybe something is missing in mine still although I'm not sure what.

Will keep working on it.

@Radek Hulán
I will update to the latest version when I get the above MySQLi extension fixed or as a separate download if I get no where soon on the MySQL project.

Thanks for the support in the project.
Back to top
PaRK_7677



Joined: 01 Jun 2006
Posts: 65
Location: Missouri

PostPosted: Tue 17 Apr '07 4:29    Post subject: Reply with quote

OK that didn't take as long as I expected.

@Sonic: I got the latest version of the source from their SVN but the php5 config still did not recognize "--enable-mysqlnd" but the php6 version did. I swapped the configuration scripts and rebuilt. Amazingly it got even smaller but it's working at least on my development sever pulling from several tables. Also starts without libmysql.dll now. Please update php5ts.dll and php_mysqli-nd.dll.

@Radek Hulán:
Updated to bcompiler 0.8 beta in the (re)release. Sorry to make you download the entire ZIP again.

Download: Visit to download PHP-5.2.1-x64 -2007-04-16.zip
Back to top
Sonic



Joined: 16 Apr 2007
Posts: 6

PostPosted: Tue 17 Apr '07 9:55    Post subject: Reply with quote

Quote:
Please update php5ts.dll and php_mysqli-nd.dll.


I update files, but still have error. Phpinfo() shows that mysqlnd is working, but i can't connect to db. Google sad that "mysqli::mysqli() [function.mysqli-mysqli]: (HY000/10060)" error is WinSock error. php_mysqli.dll from mysql.com require ws2_32.dll, in difference from yours. May be problem in it?
Back to top
Radek Hulán



Joined: 17 Mar 2007
Posts: 10
Location: Prague / CZ

PostPosted: Tue 17 Apr '07 10:04    Post subject: Reply with quote

@PaRK_7677 - whole package works great. Thank you!
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads Goto page Previous  1, 2, 3  Next
Page 2 of 3